KENTNL / Dist-Zilla-Util-EmulatePhase-1.000000 / Changes

Revision history for Dist-Zilla-Util-EmulatePhase

1.000000 2014-04-18T10:46:37Z
 [00 Minor]
 - No signficant changes in the code, but potententially significant
   packaging changes downstream may care about.

 [01 Version Scheme Change]
 - Mantissa is moving from 8 to 6 to standardise.
 - This is the primary reason for 1.xxx as 0.xxxx is unambiguously smaller
   than 1.xxx

 [02 Toolkit Change]
 - ExtUtils::MakeMaker is now used instead of Module::Build
 - Tooling and Testing modules only now depend on the minimum required
 - and the "Latest" versions as per myself are only recommended upgrades.

 [Dependencies::Aggregate]
 - 5.008 : 184 → 201 : Details https://gist.github.com/kentfredric/11037169
 - 5.010 : 163 → 184 : Details https://gist.github.com/kentfredric/11036813
 - 5.019 : 159 → 162 : Details https://gist.github.com/kentfredric/11036128

 [Dependencies::Stats]
 - Dependencies changed since 0.01025803, see Changes.deps{,.all,.dev} for
   details
 - build: -1
 - configure: +1 -1 (recommends: +1)
 - develop: +41 ↑1 -1
 - runtime: +1 ↑1
 - test: +4 ↓1 -3 (recommends: +4)

0.01025803 2013-10-31T12:44:10Z
 [Bugfix]
 - Add MakeMaker::Awesome to the whitelist ( fixes RT#89828 )

 [Dependencies::Stats]
 - Dependencies changed since 0.01025802, see Changes.deps{,.all,.dev} for
   details
 - build: ↑1
 - configure: ↑1
 - develop: +8 -1 (recommends: -1, suggests: +1 -1)
 - test: +3 ↑1 -2

 [Documentation]
 - Specify encoding
 - add README.mkdn to dist
 - add MetaPOD Annotations
 - add MetaPOD layout

 [Meta]
 - bugs to github issues
 - travis testing now active

 [Packaging]
 - Use recent Module::Build for test_requires

 [Tests]
 - Regenerate 00-compile.t 
 - Regenerate 000-report-versions-tiny.t
 - Regenerate xt/release/cpan-changes.t
 - Regenerate xt/release/kwalitee.t

0.01025802 2012-07-28T20:17:35Z
 [Bugfix]
 - Handle some odd cases that turn up when you're working with scary deep
   nested code.
 - Handle having a faked zilla passed down to us instead of a real zilla (
   ie: when another emulate::phase instance is triggering code triggering
   emulate phase )
 - Prereq collector now has a plugins() method that returns an empty array
   ref.
 - Can now actually bootstrap if deps are updated.

 [Dependencies::Stats]
 - Dependencies changed since 0.01025801, see Changes.deps{,.all,.dev} for
   details
 - build: ↑1
 - configure: ↑1
 - develop: (recommends: ↑1, suggests: ↑1)
 - test: ↑1

 [Internals]
 - Code has been run through perltidy.

0.01025801 2012-01-04T02:01:25Z
 [Bugfixes]
 - rt#73546 Reported by MITHALDU/Christian Walde with initial patch by
   APOCAL. Thanks.

 [Dependencies::Stats]
 - Dependencies changed since 0.01025800, see Changes.deps{,.all,.dev} for
   details
 - develop: (suggests: ↑1)
 - runtime: +3
 - test: -1

 [Interals]
 - Declares AUTHORITY in all namespaces.
 - VERSION declaration now not in BEGIN

 [Packaging]
 - Migrate to Git Versions
 - Update copyright years/notice formatting.
 - Author/Release tests now in xt/
 - Git repository metadata now all https://

 [Tests]
 - Expect CPAN::Meta::Requirements instead of Version::Requirements
 - Updated: compile tests.

0.01025800 2011-07-13T02:16:46Z
 [Features]
 - The warning diagnostic call that triggers when plugins call
   '_share_dir_map' from register_plugins  has been special-cased with a
   white-list so that no errors are produced for the MakeMaker plugin and
   everything else will Carp fatally. Hopefully this doesn't prove a
   problem for anyone.

 [Packaging]
 - Updated copyright notice.
 - METAData updated for GitHub

0.01016513 2011-04-13T15:09:11Z
 - Maintenance only release.

 [Dependencies::Stats]
 - Dependencies changed since 0.01003312, see Changes.deps{,.all,.dev} for
   details
 - develop: +1 -1 (recommends: +1 -1, suggests: +1 -1)

 [Packaging]
 - Move to @Author::KENTNL
 - Ship perltidyrc
 - Rework Changes for CPAN::Changes.

 [Tests]
 - Drop portability tests
 - Add CPAN::Changes tests

0.01003312 2010-12-05T14:48:13Z
 - Permit MakeMaker to call zilla->_share_dir_map on our shadow-zilla
   during pre-req collection. It should preferably be avoided, but this is
   needed for now to make it work. ( Reported by Apocalypse on IRC ).

0.01000515 2010-11-08T17:06:39Z
 - Depend on newer Test::Simple because subtest() can work wrong without
   it.
 - Depend on newer Util::Test::KENTNL

 [Dependencies::Stats]
 - Dependencies changed since 0.01000101, see Changes.deps{,.all,.dev} for
   details
 - test: ↑3

0.01000101 2010-11-04T03:15:07Z
 - Added shadow_zilla and ->find_files to prereqcollector so that
   AutoPrereq works.

0.01000100 2010-11-04T02:33:20Z
 - Added get_prereqs to access prereq data and regenerate it whenever you
   need to.

 [Dependencies::Stats]
 - Dependencies changed since 0.01000015, see Changes.deps{,.all,.dev} for
   details
 - runtime: +4

0.01000015 2010-11-03T17:57:41Z
 - First version.




Hosting generously
sponsored by Bytemark